Skip to main content
POST
Validate that the user may use an org as their workspace context

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

orgId
string
required

Organization id to validate as the workspace context. Pass the literal value "personal" to select the no-org (personal) context, which always validates and returns currentOrgId: null.

Example:

"org-abc123"

Response

User is allowed to use this org context

valid
boolean
required

Whether the user is allowed to use the requested org as their workspace context

Example:

true

currentOrgId
string | null
required

The org ID that was validated, or null for personal context

Example:

"org-abc123"

role
enum<string>

Role of the user in the organization

Available options:
Admin,
Member
Example:

"Member"

orgName
string

Name of the organization

Example:

"Acme Corp"

orgType
enum<string>

Type of the organization

Available options:
Premium,
Enterprise,
Lapsed,
Other
Example:

"Lapsed"